IF EXISTS (SELECT name FROM sysobjects  WHERE name = 'Create_DataBase_Bakup' AND type = 'P')
	Drop Procedure [Create_DataBase_Bakup]
GO

Create PROCEDURE [dbo].[Create_DataBase_Bakup]  @DBName nVarchar(50), @DBFileName nVarchar(200), @Bak  nVarchar(10), @Result integer OutPut 
AS
BEGIN
	Declare @sQry nVarchar(500)

	If @Bak = 'Bak'
		Exec ('BACKUP DATABASE [' + @DBName + '] TO  DISK = N''' + @DBFileName + ''' WITH NOFORMAT, INIT,
			 NAME =N''' + @DBName + ' Full Database Backup'', SKIP, NOREWIND,NOUNLOAD,  STATS = 100')
	Else
		Exec ('RESTORE DATABASE ' + @DBName + ' FROM DISK = N'''+ @DBFileName + ''' WITH REPLACE') 
	
	Set @Result = 1
END
GO

